Payment Method

Get

HTTP Request

GET /api/v1/payment-methods/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentMethodDto

Update

HTTP Request

PUT /api/v1/payment-methods/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

body

body

PaymentMethodDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentMethodDto

Delete

HTTP Request

DELETE /api/v1/payment-methods/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Delete Or Decommission

HTTP Request

PUT /api/v1/payment-methods/remove/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Delete Or Decommission All

HTTP Request

PUT /api/v1/payment-methods/remove/bulk

Parameters

Name

In

Type

Required

Description

body

body

array[integer]

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Decommission

HTTP Request

PUT /api/v1/payment-methods/decommission/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentMethodDto

Decommission By Modification Date Before

HTTP Request

PUT /api/v1/payment-methods/decommission/modified-before/{modified_before}

Parameters

Name

In

Type

Required

Description

modified_before

path

string(date-time)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentMethodDto

Decommission Before Now

HTTP Request

PUT /api/v1/payment-methods/decommission/modified-before-now

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentMethodDto

Decommission All

HTTP Request

PUT /api/v1/payment-methods/decommission/bulk

Parameters

Name

In

Type

Required

Description

body

body

array[integer]

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentMethodDto

Create Or Update Bulk

HTTP Request

PUT /api/v1/payment-methods/createOrUpdate/bulk

Parameters

Name

In

Type

Required

Description

body

body

PaymentMethodDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentMethodDto

Create Or Update

HTTP Request

PUT /api/v1/payment-methods/createOrUpdate

Parameters

Name

In

Type

Required

Description

body

body

PaymentMethodDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentMethodDto

Bulk Update

HTTP Request

PUT /api/v1/payment-methods/bulk

Parameters

Name

In

Type

Required

Description

body

body

PaymentMethodDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentMethodDto

Bulk Create

HTTP Request

POST /api/v1/payment-methods/bulk

Parameters

Name

In

Type

Required

Description

body

body

PaymentMethodDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentMethodDto

Bulk Delete

HTTP Request

DELETE /api/v1/payment-methods/bulk

Parameters

Name

In

Type

Required

Description

body

body

array[integer]

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Detach Country

HTTP Request

POST /api/v1/payment-methods/detach/country/{country_id}

Parameters

Name

In

Type

Required

Description

country_id

path

integer(int64)

true

none

body

body

PaymentMethodDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Attach Country

HTTP Request

POST /api/v1/payment-methods/attach/country/{country_id}

Parameters

Name

In

Type

Required

Description

country_id

path

integer(int64)

true

none

body

body

PaymentMethodDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Find All

HTTP Request

GET /api/v1/payment-methods

Parameters

Name

In

Type

Required

Description

pageable

query

Pageable

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

PagePaymentMethodDto

Create

HTTP Request

POST /api/v1/payment-methods

Parameters

Name

In

Type

Required

Description

body

body

PaymentMethodDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentMethodDto

Get Metadata

HTTP Request

GET /api/v1/payment-methods/meta

Responses

Status

Meaning

Description

Schema

200

OK

OK

Inline

Response Schema

Find All By System Id

HTTP Request

GET /api/v1/payment-methods/erp-system/{systemId}

Parameters

Name

In

Type

Required

Description

systemId

path

integer(int64)

true

none

pageable

query

Pageable

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

PagePaymentMethodDto